[Python-checkins] distutils2: Adding 3.1 testing to tests.sh

tarek.ziade python-checkins at python.org
Sun Mar 13 19:45:15 CET 2011


http://hg.python.org/distutils2/rev/bddf76e09db6
changeset:   1102:bddf76e09db6
user:        Arc Riley <arcriley at gmail.com>
date:        Sat Nov 20 19:19:09 2010 -0500
summary:
  Adding 3.1 testing to tests.sh

files:
  tests.sh

diff --git a/tests.sh b/tests.sh
--- a/tests.sh
+++ b/tests.sh
@@ -37,4 +37,13 @@
 else
     echo Success
 fi
+
+echo -n "Running tests for Python 3.1... "
+python3.1 -Wd -bb runtests.py -q 2> /dev/null
+if [ $? -ne 0 ];then
+    echo Failed
+    exit 1
+else
+    echo Success
+fi
 echo "Good job, commit now! (or add tests)"

-- 
Repository URL: http://hg.python.org/distutils2


More information about the Python-checkins mailing list